Flapper Dancer Dress V4, A4, G4

Requirements:  Poser 6.0 or higher and Daz's Victoria 4, Aiko 4, G4 or V4 Elite.

Departments:
3D Figure EssentialsAccessories
3D Figure EssentialsClothing

Report this product. 

Product Files:

ReadMe File

Exclusive Product

Digital Product
File (1): 24.25 MB

Bookmark and Share


Price: 14.95 USD

 Add to Cart  Gift this Item  Add to Wishlist